### Enumeration

# EBackend OfflineState

since: 3.26

#### Declaration

    enum EBackend.OfflineState

#### Description [src]

Defines offline state of an object. Locally changed objects require synchronization with their remote storage.

Available since: 3.26

#### Members

`E_OFFLINE_STATE_UNKNOWN`

  Unknown offline state.

  - Value: `-1`
  - Available since: 3.26
`E_OFFLINE_STATE_SYNCED`

  The object if synchnized with no local changes.

  - Value: `0`
  - Available since: 3.26
`E_OFFLINE_STATE_LOCALLY_CREATED`

  The object is locally created.

  - Value: `1`
  - Available since: 3.26
`E_OFFLINE_STATE_LOCALLY_MODIFIED`

  The object is locally modified.

  - Value: `2`
  - Available since: 3.26
`E_OFFLINE_STATE_LOCALLY_DELETED`

  The object is locally deleted.

  - Value: `3`
  - Available since: 3.26